# Class Util

java.lang.Object
org.apache.tomcat.util.modeler.Util

public class Util extends Object
Utility class for modeler operations.

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`objectNameValueNeedsQuote(String input)`
Determines whether the given string value needs to be quoted when used in an ObjectName.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### objectNameValueNeedsQuote

public static boolean objectNameValueNeedsQuote(String input)
Determines whether the given string value needs to be quoted when used in an ObjectName.

Parameters:
  `input` - The string value to check
Returns:
  `true` if the value contains characters that require quoting, `false` otherwise